List organization members
- GET /organizations/{organization_id}/members
Fetch users belonging to the selected organization. Currently unavailable in self-hosted ECE.
Path Parameters
-
organization_idstringrequired -
Identifier for the Organization
Responses
Organization members fetched successfully
-
membersOrganizationMembershiprequired -
The list of organization memberships
-
organization_idstringrequired -
The organization's identifier
-
user_idstringrequired -
The users's identifier
-
namestring -
The user's full name
-
emailstring -
The user's email address
-
member_sincestringrequired -
The date and time the user was added to the organization
-
role_assignmentsRoleAssignments -
Roles assigned to users, API keys or organization invitations. Currently unavailable in self-hosted ECE.
-
platformPlatformRoleAssignment -
Assignments for roles with platform scope.
-
role_idstringrequired -
The ID of the role that is assigned.
-
organizationOrganizationRoleAssignment -
Assignments for roles with organization scope.
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to a deployment or project
-
deploymentDeploymentRoleAssignment -
Assignments for roles with deployment scope.
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all deployments in the organization, otherwise the role is scoped to the deployments specified in
deployment_ids. -
deployment_idsstring -
The IDs of the deployments the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the deployment(s) specified in the role assignment.
-
projectProjectRoleAssignments -
Assignments for roles with project scope.
-
elasticsearchProjectRoleAssignment -
The Elasticsearch project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
observabilityProjectRoleAssignment -
The Observability project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
securityProjectRoleAssignment -
The Security project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
workplaceaiProjectRoleAssignment -
The WorkplaceAI project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
Organization not found. (code: organization.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response